modal.sel-edit {
    z-index: 1000010;
}

modal.sel-edit .modal-body {
    height: calc(100% - 6px);
    max-width: 994px;
    width: calc(100% - 6px);
}

/* Statuses */
.edit-modal .status-msg:before {
    vertical-align: top;
}

/* Filters and Sorts */
.edit-modal view key,
.edit-modal view filter,
.edit-modal selfilters,
.edit-modal selfilters toggle,
.edit-modal selfilters key,
.edit-modal selfilters filter,
.edit-modal selfilters checkbox {
    display: block;
    height: 22px;
    line-height: 22px;
}

.edit-modal selfilters {
    margin-bottom: 2px;
    margin-left: auto;
    margin-right: 0;
    width: fit-content;
}

.edit-modal view,
.edit-modal view key,
.edit-modal view filter,
.edit-modal selfilters key,
.edit-modal selfilters filter,
.edit-modal selfilters checkbox {
    float: left;
}

.edit-modal selfilters toggle {
    font-style: italic;
    -webkit-user-select: none;
    user-select: none;
}

.edit-modal selfilters toggle:after {
    margin-top: 3px;
}

.edit-modal view key,
.edit-modal selfilters key {
    font-weight: bold;
}

.edit-modal view filter,
.edit-modal selfilters filter {
    margin-left: 2px;
    position: relative;
}

.edit-modal view filter .dropdown,
.edit-modal selfilters filter .dropdown {
    position: absolute;
}

.edit-modal view filter .dropdown .opp,
.edit-modal selfilters filter .dropdown .opp {
    margin-left: 3px;
}

/* Period Weather */
.edit-modal .period-weather {
    margin-bottom: 2px;
}

.edit-modal .period-weather li {
    line-height: 16px;
}

.edit-modal .period-weather .title,
.edit-modal .period-weather .forecast {
    justify-content: center;
}

.edit-modal .period-weather .forecast strong {
    margin-right: 3px;
}

/* Responsive Filters */
@media only screen and (min-width: 1002px) {
    .edit-modal selfilters toggle {
        display: none;
    }
}

@media only screen and (min-width: 691px) {
    .edit-modal selfilters key,
    .edit-modal selfilters checkbox {
        margin-left: 10px;
    }

    .edit-modal selfilters filter.sort,
    .edit-modal selfilters filter.sort .dropdown {
        width: 120px;
    }

    .edit-modal selfilters filter.team,
    .edit-modal selfilters filter.team .dropdown {
        width: 135px;
    }
}

@media only screen and (max-width: 1001px) {
    .edit-modal selfilters,
    .edit-modal selfilters filters {
        background-color: inherit;
    }

    .edit-modal selfilters toggle {
        position: relative;
    }

    .edit-modal selfilters filters:not(.show) {
        display: none;
    }

    .edit-modal selfilters filters {
        position: absolute;
        z-index: 12;
    }
}

@media only screen and (min-width: 481px) and (max-width: 1001px) {
    .edit-modal selfilters filters {
        border-bottom-left-radius: 10px;
        padding-bottom: 5px;
        right: 2px;
    }
}

@media only screen and (max-width: 690px) {
    .edit-modal[data-filter="false"] selfilters {
        width: 165px;
    }

    .edit-modal[data-filter="false"] selfilters filter.sort,
    .edit-modal[data-filter="false"] selfilters filter.sort .dropdown {
        width: 120px;
    }

    .edit-modal[data-filter="false"] selfilters filter.team,
    .edit-modal[data-filter="false"] selfilters filter.team .dropdown {
        width: 135px;
    }

    .edit-modal selfilters filters {
        border-radius: 0 0 5px 5px;
        box-sizing: border-box;
        left: 0;
        padding: 3px;
        width: 100%;
    }

    .edit-modal selfilters filters key {
        text-align: right;
        width: 55px;
    }

    .edit-modal selfilters filters filter {
        width: calc(100% - 57px);
    }

    .edit-modal selfilters filters filter .dropdown,
    .edit-modal selfilters filters checkbox {
        width: 100%;
    }

    .edit-modal selfilters filters checkbox {
        text-align: center;
    }
}

@media only screen and (max-width: 480px) {
    .edit-modal[data-filter="false"] view {
        width: calc(100% - 165px);
    }

    .edit-modal[data-filter="true"] view {
        width: calc(100% - 95px);
    }

    .edit-modal view key {
        width: 30px;
    }

    .edit-modal view filter {
        width: calc(100% - 42px);
    }

    .edit-modal view filter .dropdown {
        width: 100%;
    }
}

/* Options */
.edit-modal options {
    display: block;
    max-height: calc(100% - 69px);
    overflow: -moz-scrollbars-none;
    -ms-overflow-style: none;
    overflow-y: scroll;
    scrollbar-width: none;
}
.edit-modal options::-webkit-scrollbar {
    width: 0 !important;
}

.edit-modal.inc-current options {
    max-height: calc(100% - 160px);
}

/* Selection Rows */
.edit-modal .sel-row {
    height: 45px;
    width: 100%;
}

.edit-modal current {
    display: block;
    margin-bottom: 2px;
}

.edit-modal .sel-row:not(:first-child) {
    margin-top: 2px;
}

.edit-modal .sel-row ele {
    display: block;
    float: left;
}

.edit-modal .sel-row .mugshot {
    background-size: contain;
}

.edit-modal .sel-row .name,
.edit-modal .sel-row .info,
.edit-modal .sel-row .action {
    height: 21px;
    line-height: 21px;
    margin-bottom: 2px;
}

.edit-modal .sel-row .name,
.edit-modal .sel-row .info {
    text-align: center;
}

.edit-modal .sel-row .info,
.edit-modal .sel-row .action {
    margin-left: 2px;
}

.edit-modal .sel-row .name {
    margin-left: 2px;
    position: relative;
}

.edit-modal .sel-row.no-info .name {
    width: calc(100% - 174px);
}

.edit-modal .sel-row .name .weather {
    display: inline-block;
    position: absolute;
    right: 3px;
}

.edit-modal .sel-row.icons-0 .name {
    width: calc(100% - 276px);
}
.edit-modal .sel-row.icons-0 .info {
    width: 100px;
}

.edit-modal .sel-row.icons-1 .name {
    width: calc(100% - 292px);
}
.edit-modal .sel-row.icons-1 .info {
    width: 116px;
}

.edit-modal .sel-row.icons-2 .name {
    width: calc(100% - 308px);
}
.edit-modal .sel-row.icons-2 .info {
    width: 132px;
}

.edit-modal .sel-row .name .weather:before {
    margin-top: 3px;
}

.edit-modal .sel-row .info .icon:before {
    margin-left: 3px;
}

.edit-modal .sel-row .info .flag_right:after {
    vertical-align: baseline;
}

.edit-modal .sel-row .info .info_flag {
    float: right;
    line-height: 16px;
    margin: 2px 2px 2px 0;
}

.edit-modal .sel-row stats .info .info_flag:before {
    vertical-align: top;
}

.edit-modal .sel-row stats .info .info_flag {
    margin: 1px 2px 1px 0;
}

.edit-modal .sel-row .info .info_flag:not(.set) {
    filter: grayscale(1);
    opacity: 0.5;
}

.edit-modal .sel-row stats .info .info_flag:after {
    margin: 1px;
}

.edit-modal .sel-row.no-info .info {
    display: none;
}

.edit-modal .sel-row .action,
.edit-modal .sel-row .action button {
    line-height: 21px;
    width: 140px;
}

.edit-modal .action.row-1,
.edit-modal .sel-row .action button {
    position: relative;
}

.edit-modal .action.row-1 span,
.edit-modal .sel-row .action button span {
    padding-left: 12px;
}

.edit-modal .action.row-1 span:before,
.edit-modal .sel-row .action button span:before {
    left: 2px;
    position: absolute;
    top: 1px;
}

.edit-modal .action.row-1 {
    text-align: center;
}

.edit-modal .action.row-1 span:before {
    top: 2px;
}

.edit-modal .sel-row .stat,
.edit-modal .sel-row .value {
    height: 18px;
    line-height: 18px;
    margin-left: 2px;
    text-align: center;
}

.edit-modal .sel-row .value {
    width: 90px;
}

/* Loading template */
.edit-modal .sel-row.template .stat,
.edit-modal .sel-row.template .value,
.edit-modal pagination.template {
    overflow: hidden;
    text-indent: 100%;
    white-space: nowrap;
}

.edit-modal pagination.template a {
    display: none;
}

/* Stat widths */
@media only screen and (min-width: 1002px) {
    .edit-modal.stats-2 .sel-row .stat {
        width: calc(((100% - 30px) / 2) - 94px);
    }
    .edit-modal.stats-3 .sel-row .stat {
        width: calc(((100% - 30px) / 3) - 94px);
    }
    .edit-modal.stats-4 .sel-row .stat {
        width: calc(((100% - 30px) / 4) - 94px);
    }
    .edit-modal.stats-5 .sel-row .stat {
        width: calc(((100% - 30px) / 5) - 94px);
    }

    /* Scrollable */
    .edit-modal.stats-6 .sel-row stats,
    .edit-modal.stats-6 .sel-row inner {
        display: block;
    }

    .edit-modal.stats-6 .sel-row stats {
        float: left;
        margin-left: 2px;
        overflow: -moz-scrollbars-none;
        -ms-overflow-style: none;
        overflow-x: scroll;
        scrollbar-width: none;
        width: 954px;
    }
    .edit-modal.stats-6 .sel-row stats::-webkit-scrollbar {
        height: 0 !important;
    }

    .edit-modal.stats-6 .sel-row inner {
        height: 18px;
        width: 1312px;
    }

    .edit-modal.stats-6 .sel-row .stat {
        width: 125px;
    }

    .edit-modal.stats-6 .sel-row .cell-0 {
        margin-left: 0;
    }
}

@media only screen and (min-width: 481px) and (max-width: 1001px) {
    .edit-modal .sel-row stats,
    .edit-modal .sel-row inner {
        display: block;
    }

    .edit-modal .sel-row stats {
        float: left;
        margin-left: 2px;
        overflow: -moz-scrollbars-none;
        -ms-overflow-style: none;
        overflow-x: scroll;
        scrollbar-width: none;
        width: calc(100vw - 46px);
    }
    .edit-modal .sel-row stats::-webkit-scrollbar {
        height: 0 !important;
    }

    .edit-modal .sel-row inner {
        height: 18px;
    }

    .edit-modal.stats-2 .sel-row inner {
        width: 436px;
    }
    .edit-modal.stats-3 .sel-row inner {
        width: 655px;
    }
    .edit-modal.stats-4 .sel-row inner {
        width: 874px;
    }
    .edit-modal.stats-5 .sel-row inner {
        width: 1093px;
    }
    .edit-modal.stats-6 .sel-row inner {
        width: 1312px;
    }

    .edit-modal .sel-row .stat {
        width: 125px;
    }

    .edit-modal .sel-row .cell-0 {
        margin-left: 0;
    }
}

@media only screen and (width: 1001px) {
    .edit-modal .sel-row stats {
        width: calc(100vw - 47px);
    }
}

@media only screen and (max-width: 480px) {
    .edit-modal .sel-row .stat,
    .edit-modal .sel-row .value {
        display: none;
    }

    .edit-modal[data-mobile="stat-1"] .sel-row .stat-1,
    .edit-modal[data-mobile="stat-2"] .sel-row .stat-2,
    .edit-modal[data-mobile="stat-3"] .sel-row .stat-3,
    .edit-modal[data-mobile="stat-4"] .sel-row .stat-4,
    .edit-modal[data-mobile="stat-rating"] .sel-row .stat-rating,
    .edit-modal[data-mobile="stat-opp_rating"] .sel-row .stat-opp_rating {
        display: block;
    }

    .edit-modal .sel-row.icons-0:not(.no-info) .stat {
        width: calc(100% - 226px);
    }
    .edit-modal .sel-row.icons-1:not(.no-info) .stat {
        width: calc(100% - 242px);
    }
    .edit-modal .sel-row.icons-2:not(.no-info) .stat {
        width: calc(100% - 258px);
    }
    .edit-modal .sel-row.no-info .stat {
        width: calc(100% - 124px);
    }
}

@media only screen and (min-width: 481px) {
    .edit-modal .sel-row:not(.no-info) .name + .info {
        display: block;
    }
    .edit-modal .sel-row stats .info {
        display: none;
    }
}

@media only screen and (max-width: 480px) {
    .edit-modal .sel-row.icons-0 .name,
    .edit-modal .sel-row.icons-1 .name,
    .edit-modal .sel-row.icons-2 .name {
        width: calc(100% - 174px);
    }

    .edit-modal .sel-row .name + .info {
        display: none;
    }
    .edit-modal .sel-row stats .info {
        display: block;
        height: 18px;
        line-height: 18px;
    }
}

/* Stats 4x */
@media only screen and (min-width: 918px) and (max-width: 1001px) {
    .edit-modal.stats-4 .sel-row inner {
        width: 100%;
    }
    .edit-modal.stats-4 .sel-row .stat {
        width: calc((100% - (92px * 4) - 6px) / 4);
    }
}
/* Stats 3x */
@media only screen and (min-width: 699px) and (max-width: 1001px) {
    .edit-modal.stats-3 .sel-row inner {
        width: 100%;
    }
    .edit-modal.stats-3 .sel-row .stat {
        width: calc((100% - (92px * 3) - 4px) / 3);
    }
}
/* Stats 2x */
@media only screen and (min-width: 480px) and (max-width: 1001px) {
    .edit-modal.stats-2 .sel-row inner {
        width: 100%;
    }
    .edit-modal.stats-2 .sel-row .stat {
        width: calc((100% - (92px * 2) - 2px) / 2);
    }
}

/* Loading Blocks */
.edit-modal .sel-list .template .mugshot,
.edit-modal .sel-list .template .action {
    background-color: #cccccc;
}

/* Pagination */
.edit-modal pagination {
    display: block;
    height: 22px;
    line-height: 22px;
    margin-top: 2px;
    position: relative;
    text-align: center;
    -webkit-user-select: none;
    user-select: none;
    width: 100%;
}

.edit-modal pagination a {
    line-height: initial;
    position: absolute;
    top: 2px;
}

.edit-modal pagination .prev {
    left: 3px;
}

.edit-modal pagination .next {
    right: 3px;
}

/* Information Footer */
.edit-modal bottom deadline {
    border-bottom-left-radius: 3px;
    display: inline-block;
    text-align: center;
    width: calc(100% - 58px);
}

.edit-modal bottom deadline span:before {
    margin-right: 3px;
    vertical-align: text-bottom;
}
